org.apache.nutch.metadata

## Interface HttpHeaders

- All Known Subinterfaces:
    Response
  All Known Implementing Classes:
    HttpResponse, HttpResponse, HttpResponse, HttpResponse, HttpResponse, Metadata, OkHttpResponse, SpellCheckedMetadata

      public interface HttpHeaders

  A collection of HTTP header names.
  See Also:
    Hypertext Transfer Protocol -- HTTP/1.1 (RFC 2616)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_TRANSFER_ENCODING`
    `static String` | `CONTENT_DISPOSITION`
    `static String` | `CONTENT_ENCODING`
    `static String` | `CONTENT_LANGUAGE`
    `static String` | `CONTENT_LENGTH`
    `static String` | `CONTENT_LOCATION`
    `static String` | `CONTENT_MD5`
    `static String` | `CONTENT_TYPE`
    `static String` | `IF_MODIFIED_SINCE`
    `static String` | `LAST_MODIFIED`
    `static String` | `LOCATION`
    `static String` | `TRANSFER_ENCODING`
    `static String` | `USER_AGENT`
    `static Text` | `WRITABLE_CONTENT_TYPE`

- - ### Field Detail

    - #### TRANSFER_ENCODING

          static final String TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### CLIENT_TRANSFER_ENCODING

          static final String CLIENT_TRANSFER_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_ENCODING

          static final String CONTENT_ENCODING

      See Also:
        Constant Field Values

    - #### CONTENT_LANGUAGE

          static final String CONTENT_LANGUAGE

      See Also:
        Constant Field Values

    - #### CONTENT_LENGTH

          static final String CONTENT_LENGTH

      See Also:
        Constant Field Values

    - #### CONTENT_LOCATION

          static final String CONTENT_LOCATION

      See Also:
        Constant Field Values

    - #### CONTENT_DISPOSITION

          static final String CONTENT_DISPOSITION

      See Also:
        Constant Field Values

    - #### CONTENT_MD5

          static final String CONTENT_MD5

      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          static final String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### WRITABLE_CONTENT_TYPE

          static final Text WRITABLE_CONTENT_TYPE

    - #### LAST_MODIFIED

          static final String LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### LOCATION

          static final String LOCATION

      See Also:
        Constant Field Values

    - #### IF_MODIFIED_SINCE

          static final String IF_MODIFIED_SINCE

      See Also:
        Constant Field Values

    - #### USER_AGENT

          static final String USER_AGENT

      See Also:
        Constant Field Values

Copyright © 2020 The Apache Software Foundation